Bug 10126 - hexdump parameter problem
hexdump parameter problem
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2000-03-11 13:55 EST by Riley H Williams
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-16 09:31:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Riley H Williams 2000-03-11 13:55:25 EST
This is probably under the wrong package, but I can't find the package for
th `hexdump` program. If you know which one it is, please redirect this


According to its manual, the hexdump command, amongst others, accepts a
specifier of %08_Ax and, at least as far as the one supplied with RedHat
5.2 was concerned, it did indeed do so. However, the one supplied with 6.1
does NOT accept it, and reports an error message if it is used.

Does anybody have any idea what the reason behind this change is?

Also related to hexdump, I note that there are standard options for single
or double byte values in decimal and octal, but only for double byte values
in hex. Is this an oversight, or should there also be an option for single
byte values in hex?
Comment 1 Riley H Williams 2000-03-11 15:46:59 EST
OK, I found the correct component, so I've moved it over...
Comment 2 Elliot Lee 2001-07-17 13:51:46 EDT
Reply from util-linux maintainer:

The manual says:
  The format is required and must be surrounded by double quote (" ") marks.

  % hexdump -e %08_Ax foo
  hexdump: bad format {%08_Ax}
  % hexdump -e '"%08_Ax"' foo

So, there is no bug, and no contradiction with the man page.


Note You need to log in before you can comment on or make changes to this bug.